=== modified file 'bzrlib/tests/repository_implementations/__init__.py'
--- bzrlib/tests/repository_implementations/__init__.py	2008-07-07 10:31:06 +0000
+++ bzrlib/tests/repository_implementations/__init__.py	2008-07-17 00:42:40 +0000
@@ -54,17 +54,17 @@
     vfs_transport_factory=None):
     """Transform the input formats to a list of scenarios.
 
-    :param formats: A list of (scenario_name_suffix, repo_format, bzrdir_format)
+    :param formats: A list of (scenario_name_suffix, repo_format)
         where the scenario_info is a dict that controls the test.
     """
     result = []
-    for scenario_name_suffix, repository_format, bzrdir_format in formats:
+    for scenario_name_suffix, repository_format in formats:
         scenario_name = repository_format.__class__.__name__
         scenario_name += scenario_name_suffix
         scenario = (scenario_name,
             {"transport_server":transport_server,
              "transport_readonly_server":transport_readonly_server,
-             "bzrdir_format":bzrdir_format,
+             "bzrdir_format":repository_format._matchingbzrdir,
              "repository_format":repository_format,
              })
         # Only override the test's vfs_transport_factory if one was
@@ -84,18 +84,18 @@
     # format_scenarios is all the implementations of Repository; i.e. all disk
     # formats plus RemoteRepository.
     format_scenarios = formats_to_scenarios(
-        [('', format, format._matchingbzrdir) for format in all_formats],
+        [('', format) for format in all_formats],
         default_transport,
         # None here will cause a readonly decorator to be created
         # by the TestCaseWithTransport.get_readonly_transport method.
         None)
     format_scenarios.extend(formats_to_scenarios(
-        [('-default', RemoteRepositoryFormat(), RemoteBzrDirFormat())],
+        [('-default', RemoteRepositoryFormat())],
         SmartTCPServer_for_testing,
         ReadonlySmartTCPServer_for_testing,
         MemoryServer))
     format_scenarios.extend(formats_to_scenarios(
-        [('-v2', RemoteRepositoryFormat(), RemoteBzrDirFormat())],
+        [('-v2', RemoteRepositoryFormat())],
         SmartTCPServer_for_testing_v2_only,
         ReadonlySmartTCPServer_for_testing_v2_only,
         MemoryServer))

=== modified file 'bzrlib/tests/tree_implementations/__init__.py'
--- bzrlib/tests/tree_implementations/__init__.py	2008-07-02 19:51:05 +0000
+++ bzrlib/tests/tree_implementations/__init__.py	2008-07-17 00:42:40 +0000
@@ -336,7 +336,7 @@
         if workingtree_format is None:
             workingtree_format = WorkingTreeFormat._default_format
         scenario_options = WorkingTreeTestProviderAdapter.create_scenario(self,
-            workingtree_format, workingtree_format._matchingbzrdir)[1]
+            workingtree_format)[1]
         scenario_options["_workingtree_to_test_tree"] = converter
         return name, scenario_options
 
@@ -366,8 +366,7 @@
         # None here will cause a readonly decorator to be created
         # by the TestCaseWithTransport.get_readonly_transport method.
         None,
-        [(format, format._matchingbzrdir) for format in
-         WorkingTreeFormat._formats.values() + _legacy_formats])
+        WorkingTreeFormat._formats.values() + _legacy_formats)
 
     # add the tests for the sub modules
     adapt_modules(test_tree_implementations, adapter, loader, result)

=== modified file 'bzrlib/tests/workingtree_implementations/__init__.py'
--- bzrlib/tests/workingtree_implementations/__init__.py	2008-04-28 08:57:45 +0000
+++ bzrlib/tests/workingtree_implementations/__init__.py	2008-07-17 00:42:40 +0000
@@ -52,16 +52,15 @@
     def formats_to_scenarios(self, formats):
         """Transform the input formats to a list of scenarios.
 
-        :param formats: A list of (workingtree_format, bzrdir_format).
+        :param formats: A list [workingtree_format].
         """
 
         result = []
-        for workingtree_format, bzrdir_format in formats:
-            result.append(self.create_scenario(workingtree_format,
-                          bzrdir_format))
+        for workingtree_format in formats:
+            result.append(self.create_scenario(workingtree_format))
         return result
 
-    def create_scenario(self, workingtree_format, bzrdir_format):
+    def create_scenario(self, workingtree_format):
         """Create a scenario for the specified converter
 
         :param workingtree_format: The particular workingtree format to test.
@@ -72,7 +71,7 @@
         scenario_options = {
             "transport_server": self._transport_server,
             "transport_readonly_server": self._transport_readonly_server,
-            "bzrdir_format": bzrdir_format,
+            "bzrdir_format": workingtree_format._matchingbzrdir,
             "workingtree_format": workingtree_format,
             }
         return workingtree_format.__class__.__name__, scenario_options
@@ -134,8 +133,7 @@
         # None here will cause a readonly decorator to be created
         # by the TestCaseWithTransport.get_readonly_transport method.
         None,
-        [(format, format._matchingbzrdir) for format in
-         WorkingTreeFormat._formats.values() + _legacy_formats])
+        WorkingTreeFormat._formats.values() + _legacy_formats)
 
     # add the tests for the sub modules
     adapt_modules(test_workingtree_implementations, adapter, loader, result)

